Bug 130598 - Several files should be owned by setup package
Summary: Several files should be owned by setup package
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setup   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-22 16:34 UTC by W. Michael Petullo
Modified: 2014-03-17 02:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 04:27:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2004-08-22 16:34:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.5

Description of problem:
Several very core configuration files are not owned by any package. 
One solution would be to have the setup package install or %ghost
these files:

/etc/fstab
/etc/mtab
/etc/group-
/etc/gshadow
/etc/gshadow-
/etc/passwd-
/etc/shadow
/etc/shadow-
/etc/hosts
/etc/ioctl.save

Version-Release number of selected component (if applicable):
setup-2.5.33-1

How reproducible:
Always

Steps to Reproduce:
rpm -qf /etc/fstab
    

Actual Results:  file /etc/fstab is not owned by any package

Expected Results:  These files should be owned by some package.

Additional info:

Comment 1 W. Michael Petullo 2004-08-22 22:31:27 UTC
%ghost /etc/resolv.conf too?

Comment 2 Bill Nottingham 2004-08-23 19:16:56 UTC
What specifically does this give you? 

%ghost will almost certainly just make the rpm transaction rules messy.

/etc/shadow *is* owned.



Note You need to log in before you can comment on or make changes to this bug.